Bug 165483 - Review Request: bubblemon - A system monitoring dockapp
Review Request: bubblemon - A system monitoring dockapp
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
David Lawrence
http://www.ne.jp/asahi/linux/timecop/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-09 14:55 EDT by Andreas Bierfert
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-12 18:45:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Bierfert 2005-08-09 14:55:17 EDT
Spec Name or Url: http://fedora.lowlatency.de/review/bubblemon.spec
SRPM Name or Url: http://fedora.lowlatency.de/review/bubblemon-1.46-1.src.rpm
Description:
This is a system monitoring dockapp, visually based on the GNOME "BubbleMon"
applet (here). Basically, it displays CPU and memory load as bubbles in a jar
of water. But that's where similarity ends. New bubblemon-dockapp features
translucent CPU load meter (for accurate CPU load measurement), yellow duck
swimming back and forth on the water surface (just for fun), and fading load
average and memory usage screens. Either of the info screens can be locked to
stay on top of water/duck/cpu screen, so that you can see both statistics at
once. Pretty nifty toy for your desktop. Supports Linux, FreeBSD, OpenBSD, and
Solaris 2.6, 7 and 8. Code has been thoroughly optimized since version 1.0,
and even with all the features compiled in, BubbleMon still uses very little
CPU time. Load Average screen locked at about 20% looks particularly sexy. All
the extra "bloated" features can be compiled out or disabled on command-line,
if you prefer original "BubbleMon" look.
Comment 1 Aurelien Bompard 2005-08-10 04:09:53 EDT
3 things :
 - you could use the disttag, but it is not mandatory, so do as you prefer
 - the version on your changelog line has line-wrapped
 - since you mkdir $RPM_BUILD_ROOT%{_bindir}, you should make install in
PREFIX=$RPM_BUILD_ROOT%{_prefix} instead of hardcoding /usr.

Other than that, it looks OK.
Comment 2 Andreas Bierfert 2005-08-11 09:35:48 EDT
Fix in current version expect for the changelog. This has been discussed before
and is ok due to my long name/email.

I will add disttag after checkin.

http://fedora.lowlatency.de/review/bubblemon-1.46-2.src.rpm
http://fedora.lowlatency.de/review/bubblemon.spec
Comment 3 Aurelien Bompard 2005-08-11 10:47:06 EDT
OK, looks good. APPROVED
Comment 4 Christian Iseli 2006-10-18 04:58:30 EDT
Normalize summary field for easy parsing

Note You need to log in before you can comment on or make changes to this bug.